## ros-melodic-pr2-controller-manager 1.8.18

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_controller_manager)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS cmake_modules pr2_hardware_interface pr2_mechanism_model pr2_mechanism_diagnostics pr2_description pr2_controller_interface pr2_mechanism_msgs diagnostic_msgs sensor_msgs realtime_tools roscpp pluginlib rostest)

find_package(Eigen3 REQUIRED)
find_package(TinyXML REQUIRED)
find_package(Boost REQUIRED COMPONENTS system thread)

include_directories(
   include 
   ${Boost_INCLUDE_DIRS} 
   ${catkin_INCLUDE_DIRS} 
   ${EIGEN3_INCLUDE_DIRS})

catkin_package(
    DEPENDS TinyXML
    CATKIN_DEPENDS pr2_hardware_interface pr2_mechanism_model pr2_mechanism_diagnostics pr2_description pr2_controller_interface pr2_mechanism_msgs diagnostic_msgs sensor_msgs realtime_tools roscpp pluginlib
    INCLUDE_DIRS include
    LIBRARIES pr2_controller_manager
)

add_definitions(-O3)

add_library(pr2_controller_manager src/controller_manager.cpp src/scheduler.cpp)

target_link_libraries(pr2_controller_manager ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${TinyXML_LIBRARIES})

add_library(controller_test test/controllers/test_controller.cpp)
pr2_enable_rpath(controller_test)
target_link_libraries(controller_test ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(test_controllers test/test.cpp)
add_executable(test_robot test/robot.cpp)

target_link_libraries(test_robot ${Boost_LIBRARIES} ${PROJECT_NAME} ${catkin_LIBRARIES})

target_link_libraries(test_controllers ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

add_rostest(test/controller_test.launch)

file(GLOB PYTHON_SCRIPTS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" 
   "${CMAKE_CURRENT_SOURCE_DIR}/scripts/*")
install(PROGRAMS ${PYTHON_SCRIPTS}
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

catkin_python_setup()

install(TARGETS pr2_controller_manager controller_test
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(FILES controller_manager.launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(FILES test/controller_plugin.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test)

=== debian/changelog ===
ros-melodic-pr2-controller-manager (1.8.18-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 11 Sep 2018 00:00:00 -0000

ros-melodic-pr2-controller-manager (1.8.17-0stretch) stretch; urgency=high

  * Merge pull request #334 <https://github.com/pr2/pr2_mechanism/issues/334> from k-okada/fix_cmake_warning
    Fix cmake warning
  * Merge pull request #332 <https://github.com/pr2/pr2_mechanism/issues/332> from k-okada/maintain
    change maintainer to ROS orphaned package maintainer
  * use TinyXML instead of tinyxml
  * Use Eigen3, instad of Eigen
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 00:00:00 -0000

ros-melodic-pr2-controller-manager (1.8.15-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-melodic-pr2-controller-manager (1.8.14-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-melodic-pr2-controller-manager (1.8.13-0stretch) stretch; urgency=high

  * Updated to use cmake_modules
  * Updated to use cmake_modules
  * Contributors: Jack Thompson

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Dec 2014 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-pr2-controller-manager
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-diagnostic-msgs, ros-melodic-pluginlib, ros-melodic-pr2-controller-interface, ros-melodic-pr2-description, ros-melodic-pr2-hardware-interface, ros-melodic-pr2-mechanism-diagnostics, ros-melodic-pr2-mechanism-model, ros-melodic-pr2-mechanism-msgs, ros-melodic-realtime-tools, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-sensor-msgs
Homepage: http://ros.org/pr2_controller_manager
Standards-Version: 3.9.2

Package: ros-melodic-pr2-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-diagnostic-msgs, ros-melodic-pluginlib, ros-melodic-pr2-controller-interface, ros-melodic-pr2-description, ros-melodic-pr2-hardware-interface, ros-melodic-pr2-mechanism-diagnostics, ros-melodic-pr2-mechanism-model, ros-melodic-pr2-mechanism-msgs, ros-melodic-realtime-tools, ros-melodic-roscpp, ros-melodic-rosparam, ros-melodic-rospy, ros-melodic-sensor-msgs
Description: The controller manager (CM) package provides the infrastructure to run controllers in a hard realtime loop.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-pr2-controller-manager//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-pr2-controller-manager 1.8.21

=== debian/changelog ===
ros-melodic-pr2-controller-manager (1.8.21-1bionic) bionic; urgency=high

  * set catkin_add_gtest within CATKIN_ENABLE_TESTING (#346 <https://github.com/pr2/pr2_mechanism/issues/346>)
    fix with CATKIN_ENABLE_TESTING=OFF
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 21 Jun 2022 15:00:00 -0000

ros-melodic-pr2-controller-manager (1.8.20-1bionic) bionic; urgency=high

  * add missing package (robot_state_publisher) to package.xml (#339 <https://github.com/PR2/pr2_mechanism//issues/339>)
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 10 Apr 2022 15:00:00 -0000

ros-melodic-pr2-controller-manager (1.8.19-1bionic) bionic; urgency=high

  * add noetic to .travis.yml, remove indigo/lunar (#342 <https://github.com/PR2/pr2_mechanism/issues/342>)
    use '2to3-2.7 -w -fprint -fraise -fexcept -fdict .' to fix python2 to python3
  * Added missing dependencies for catkin_EXPORTED_TARGETS (#341 <https://github.com/PR2/pr2_mechanism/issues/341>)
    This fixes race conditions when compiling from scratch.
    Co-authored-by: Lasse Einig <mailto:einig@informatik.uni-hamburg.de>
  * Contributors: Kei Okada, Michael Görner

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 09 Apr 2022 15:00:00 -0000

ros-melodic-pr2-controller-manager (1.8.18-1bionic) bionic; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 10 Sep 2018 15:00:00 -0000

ros-melodic-pr2-controller-manager (1.8.17-1bionic) bionic; urgency=high

  * Merge pull request #334 <https://github.com/pr2/pr2_mechanism/issues/334> from k-okada/fix_cmake_warning
    Fix cmake warning
  * Merge pull request #332 <https://github.com/pr2/pr2_mechanism/issues/332> from k-okada/maintain
    change maintainer to ROS orphaned package maintainer
  * use TinyXML instead of tinyxml
  * Use Eigen3, instad of Eigen
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Feb 2018 15:00:00 -0000

ros-melodic-pr2-controller-manager (1.8.15-1bionic) bionic; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Jan 2015 15:00:00 -0000

ros-melodic-pr2-controller-manager (1.8.14-1bionic) bionic; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Jan 2015 15:00:00 -0000

ros-melodic-pr2-controller-manager (1.8.13-1bionic) bionic; urgency=high

  * Updated to use cmake_modules
  * Updated to use cmake_modules
  * Contributors: Jack Thompson

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 15 Dec 2014 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-pr2-controller-manager
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-diagnostic-msgs, ros-melodic-pluginlib, ros-melodic-pr2-controller-interface, ros-melodic-pr2-description, ros-melodic-pr2-hardware-interface, ros-melodic-pr2-mechanism-diagnostics, ros-melodic-pr2-mechanism-model, ros-melodic-pr2-mechanism-msgs, ros-melodic-realtime-tools, ros-melodic-roscpp, ros-melodic-roslaunch <!nocheck>, ros-melodic-rostest, ros-melodic-sensor-msgs
Homepage: http://ros.org/pr2_controller_manager
Standards-Version: 3.9.2

Package: ros-melodic-pr2-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-diagnostic-msgs, ros-melodic-pluginlib, ros-melodic-pr2-controller-interface, ros-melodic-pr2-description, ros-melodic-pr2-hardware-interface, ros-melodic-pr2-mechanism-diagnostics, ros-melodic-pr2-mechanism-model, ros-melodic-pr2-mechanism-msgs, ros-melodic-realtime-tools, ros-melodic-robot-state-publisher, ros-melodic-roscpp, ros-melodic-rosparam, ros-melodic-rospy, ros-melodic-sensor-msgs
Description: The controller manager (CM) package provides the infrastructure to run controllers in a hard realtime loop.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
